Bug 82010 - [Shadow DOM] InsertionPoint should have isActive() member function.
: [Shadow DOM] InsertionPoint should have isActive() member function.
Status: RESOLVED FIXED
: WebKit
HTML DOM
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
:
: 77499
  Show dependency treegraph
 
Reported: 2012-03-22 21:16 PST by
Modified: 2012-04-16 19:56 PST (History)


Attachments
Patch (9.64 KB, patch)
2012-04-04 20:54 PST, Takashi Sakamoto
no flags Review Patch | Details | Formatted Diff | Diff
Patch (9.92 KB, patch)
2012-04-08 20:41 PST, Takashi Sakamoto
no flags Review Patch | Details | Formatted Diff | Diff
Patch (9.75 KB, patch)
2012-04-10 21:44 PST, Takashi Sakamoto
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-03-22 21:16:34 PST
According to the Shadow DOM spec, each InsertionPoint is either 'active' or 'inactive'.
it will be useful if InsertionPoint has isActive() member function so that we can know it easily.

One use case is ReifiedTreeTraversal. See the comment on https://bugs.webkit.org/show_bug.cgi?id=79197#c34.
------- Comment #1 From 2012-04-04 20:54:06 PST -------
Created an attachment (id=135751) [details]
Patch
------- Comment #2 From 2012-04-08 17:40:02 PST -------
(From update of attachment 135751 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=135751&action=review

> Source/WebCore/ChangeLog:3
> +        [Shadow DOM] InsertionPoint should have isActive() member function.

This change doesn't look just adding a member function. It also affects the behavior.
Could you reflect that fact in this summary?

Also for the record, could you have a link to the spec in the changelog?

> Source/WebCore/html/shadow/InsertionPoint.cpp:51
> +    if (isShadowBoundary() && isActive()) {

My feeling is that isShadowBoundary() should contains isActive() since inactive node cannot be a boundary.
------- Comment #3 From 2012-04-08 20:41:36 PST -------
Created an attachment (id=136174) [details]
Patch
------- Comment #4 From 2012-04-08 20:45:13 PST -------
(In reply to comment #2)
> (From update of attachment 135751 [details] [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=135751&action=review
> 
> > Source/WebCore/ChangeLog:3
> > +        [Shadow DOM] InsertionPoint should have isActive() member function.
> 
> This change doesn't look just adding a member function. It also affects the behavior.
> Could you reflect that fact in this summary?

I see. I updated the summary. 

> 
> Also for the record, could you have a link to the spec in the changelog?

I added a link, https://dvcs.w3.org/hg/webcomponents/raw-file/tip/spec/shadow/index.html#dfn-active-insertion-point.

> 
> > Source/WebCore/html/shadow/InsertionPoint.cpp:51
> > +    if (isShadowBoundary() && isActive()) {
> 
> My feeling is that isShadowBoundary() should contains isActive() since inactive node cannot be a boundary.

I see. I added isActive check to isShadowBoundary and removed from attach().

Best regards,
Takashi Sakamoto
------- Comment #5 From 2012-04-10 18:48:52 PST -------
(From update of attachment 136174 [details])
Rejecting attachment 136174 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 1

ERROR: ChangeLog entry in Source/WebCore/ChangeLog is not at the top of the file.

Full output: http://queues.webkit.org/results/12383553
------- Comment #6 From 2012-04-10 21:44:06 PST -------
Created an attachment (id=136619) [details]
Patch
------- Comment #7 From 2012-04-10 21:44:40 PST -------
I modified patch for fixing the following issue:
ERROR: ChangeLog entry in Source/WebCore/ChangeLog is not at the top of the file.

Best regards,
Takashi Sakamoto
------- Comment #8 From 2012-04-16 19:09:15 PST -------
(From update of attachment 136619 [details])
Oops. Sorry for missing this.
------- Comment #9 From 2012-04-16 19:55:58 PST -------
(From update of attachment 136619 [details])
Clearing flags on attachment: 136619

Committed r114334: <http://trac.webkit.org/changeset/114334>
------- Comment #10 From 2012-04-16 19:56:03 PST -------
All reviewed patches have been landed.  Closing bug.